## objgraph 1.6.0

=== Makefile ===
PYTHON = python
FILE_WITH_VERSION = objgraph.py
FILE_WITH_CHANGELOG = CHANGES.txt

SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
BUILDDIR      = docs/_build
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(SPHINXOPTS) docs/


.PHONY: default
default:
	@echo "Nothing to build here"

.PHONY: images
images:
	$(PYTHON) setup.py --build-images

.PHONY: docs
docs:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Now look at $(BUILDDIR)/html/index.html"

.PHONY: clean
clean:
	-rm -rf $(BUILDDIR)/*

.PHONY: test check
test check:
	$(PYTHON) tests.py

.PHONY: test-all-pythons
test-all-pythons:
	set -e; \
	for ver in 2.4 2.5 2.6 2.7 3.0 3.1 3.2; do \
		if which python$$ver > /dev/null; then \
			$(MAKE) test PYTHON=python$$ver; \
		else \
			echo "=================================="; \
			echo "Skipping python$$ver, not available."; \
			echo "=================================="; \
		fi; \
	done

.PHONY: preview-pypi-description
preview-pypi-description:
	# pip install restview, if missing
	restview -e "$(PYTHON) setup.py --long-description"

.PHONY: coverage
coverage:
	PYTHONPATH=.:$$PYTHONPATH coverage run tests.py
	coverage report

.PHONY: dist
dist:
	$(PYTHON) setup.py sdist

.PHONY: distcheck
distcheck:
	# Bit of a chicken-and-egg here, but if the tree is unclean, make
	# distcheck will fail.  Thankfully bzr lets me uncommit.
	@test -z "`bzr status 2>&1`" || { echo; echo "Your working tree is not clean" 1>&2; bzr status; exit 1; }
	make dist
	pkg_and_version=`$(PYTHON) setup.py --name`-`$(PYTHON) setup.py --version` && \
	rm -rf tmp && \
	mkdir tmp && \
	bzr export tmp/tree && \
	cd tmp && \
	tar xvzf ../dist/$$pkg_and_version.tar.gz && \
	diff -ur $$pkg_and_version tree -x PKG-INFO -x setup.cfg -x '*.egg-info' && \
	cd $$pkg_and_version && \
	make dist check && \
	cd .. && \
	mkdir one two && \
	cd one && \
	tar xvzf ../../dist/$$pkg_and_version.tar.gz && \
	cd ../two/ && \
	tar xvzf ../$$pkg_and_version/dist/$$pkg_and_version.tar.gz && \
	cd .. && \
	diff -ur one two -x SOURCES.txt && \
	cd .. && \
	rm -rf tmp && \
	echo "sdist seems to be ok"

.PHONY: releasechecklist
releasechecklist:
	@$(PYTHON) setup.py --version | grep -qv dev || { \
	    echo "Please remove the 'dev' suffix from the version number in $(FILE_WITH_VERSION)"; exit 1; }
	@$(PYTHON) setup.py --long-description | rst2html --exit-status=2 > /dev/null
	@ver_and_date="`$(PYTHON) setup.py --version` (`date +%Y-%m-%d`)" && \
	    grep -q "^$$ver_and_date$$" $(FILE_WITH_CHANGELOG) || { \
	        echo "$(FILE_WITH_CHANGELOG) has no entry for $$ver_and_date"; exit 1; }
	make distcheck

.PHONY: release
release: releasechecklist
	# I'm chicken so I won't actually do these things yet
	@echo "It is a good idea to run"
	@echo
	@echo "  make test-all-pythons"
	@echo "  make clean images docs"
	@echo
	@echo "about now.  Then commit the new images and run"
	@echo
	@echo "  $(PYTHON) setup.py sdist register upload && bzr tag `$(PYTHON) setup.py --version`"
	@echo
	@echo "Please increment the version number in $(FILE_WITH_VERSION)"
	@echo "and add a new empty entry at the top of the changelog in $(FILE_WITH_CHANGELOG), then"
	@echo
	@echo '  bzr ci -m "Post-release version bump" && bzr push'
	@echo
	@echo "and don't forget to publish the docs from _build/html"

## objgraph 1.2

=== debian/changelog ===
objgraph (1.2-1) unstable; urgency=low

  * Initial release (Closes: #566798)

 -- Stefano Rivera <stefano@rivera.za.net>  Thu, 28 Jan 2010 13:00:22 +0200

=== debian/control ===
Source: objgraph
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Stefano Rivera <stefano@rivera.za.net>
Build-Depends: debhelper (>= 7.0.50~), python-support (>= 0.8), graphviz
Standards-Version: 3.8.4
Homepage: http://mg.pov.lt/objgraph/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/objgraph/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/objgraph/trunk/
XS-Python-Version: all

Package: python-objgraph
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: graphviz
Description: Ad-hoc tools for drawing Python object reference graphs with graphviz
 objgraph contains a set of utility functions for exploring Python objects in
 memory.
 .
 It can be used for counting and statistics, finding root references
 responsible for large object trees and export the object reference graphs in
 graphviz format.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build
	python setup.py --build-images

## objgraph 1.6.0

=== debian/changelog ===
objgraph (1.6.0-2) unstable; urgency=low

  * New binary package: python-objgraph-doc

 -- Stefano Rivera <stefano@rivera.za.net>  Sat, 18 Dec 2010 22:30:32 +0200

objgraph (1.6.0-1) unstable; urgency=low

  * New upstream release.
    - Adds Python 3.x support (LP: #687601)
  * Refresh patches.
  * Use upstream example images, rather than re-generating. (LP: #686731)

 -- Stefano Rivera <stefano@rivera.za.net>  Sat, 18 Dec 2010 16:35:11 +0200

objgraph (1.5.0-1) unstable; urgency=low

  * New upstream release
  * Refresh patches.
  * debian/control: Reword description.
  * Build new Sphinx-based documentation

 -- Stefano Rivera <stefano@rivera.za.net>  Wed, 08 Dec 2010 00:13:12 +0200

objgraph (1.4.0-1) experimental; urgency=low

  * New upstream release.
    - Drop README.Debian: Upstream fixed the issues we were warning about.
    - Extend copyright years.
    - Add examples: examples.txt and finalizers.png
  * Convert from python-support to dh_python2.
  * Use debhelper's --buildsystem=python_distutils option instead of removing
    Makefile in clean.
  * debian/control:
    - Bump Standards-Version to 3.9.1 (no changes needed).
    - Suggest: xdot (now packaged)
  * Patches:
    - Dropped dont-call-xdot.patch: Now builds and runs with or without an
      xdot in PATH.
    - Refreshed Patches.

 -- Stefano Rivera <stefano@rivera.za.net>  Mon, 08 Nov 2010 02:22:13 +0200

=== debian/control ===
Source: objgraph
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Stefano Rivera <stefano@rivera.za.net>
Build-Depends:
 debhelper (>= 7.0.50~),
 graphviz,
 python-all (>= 2.6.5-13~),
 python-sphinx,
 python3-all (>= 3.1.2-6~)
Standards-Version: 3.9.1
Homepage: http://mg.pov.lt/objgraph/
Vcs-Svn: svn://svn.debian.org/python-modules/packages/objgraph/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/objgraph/trunk/
X-Python-Version: >= 2.4
X-Python3-Version: >= 3.0

Package: python-objgraph
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Breaks: ${python:Breaks}
Recommends: graphviz
Suggests: xdot, python-objgraph-doc
Description: Module for exploring Python object reference graphs
 objgraph is a module that lets you visually explore Python object graphs.
 .
 It can be used for counting and statistics, finding root references
 responsible for large object trees and export the object reference graphs in
 graphviz format.
 .
 This package contains the Python 2 version of the library.

Package: python3-objgraph
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: graphviz
Suggests: xdot, python-objgraph-doc
Description: Module for exploring Python object reference graphs (Python3 version)
 objgraph is a module that lets you visually explore Python object graphs.
 .
 It can be used for counting and statistics, finding root references
 responsible for large object trees and export the object reference graphs in
 graphviz format.
 .
 This package contains the Python 3 version of the library.

Package: python-objgraph-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Replaces: python-objgraph (<< 1.6.0-2), python3-objgraph (<< 1.6.0-2)
Breaks: python-objgraph (<< 1.6.0-2), python3-objgraph (<< 1.6.0-2)
Recommends: graphviz
Suggests: xdot
Description: Module for exploring Python object reference graphs (Documentation)
 objgraph is a module that lets you visually explore Python object graphs.
 .
 It can be used for counting and statistics, finding root references
 responsible for large object trees and export the object reference graphs in
 graphviz format.
 .
 This package contains the documentation for objgraph.

=== debian/rules ===
#!/usr/bin/make -f

PYVERS :=  $(shell pyversions -r)
PY3VERS := $(shell py3versions -r)

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	set -e; \
		for py in $(PYVERS) $(PY3VERS); do \
			$$py setup.py build; \
		done
	$(MAKE) docs SPHINXOPTS=-NE

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
		for py in $(PYVERS) $(PY3VERS); do \
			$$py tests.py; \
		done
endif

override_dh_auto_install:
	set -e; \
		for py in $(PYVERS); do \
			$$py setup.py install --skip-build --root debian/python-objgraph --install-layout=deb; \
		done
	set -e; \
		for py in $(PY3VERS); do \
			$$py setup.py install --skip-build --root debian/python3-objgraph --install-layout=deb; \
		done

override_dh_auto_clean:
	dh_auto_clean --buildsystem=python_distutils
	rm -rf build docs/_build

override_dh_installdocs:
	dh_installdocs -Xhtml/_static/jquery.js

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

override_dh_compress:
	dh_compress -X.js

## objgraph 1.7.0

=== Makefile ===
--- 
+++ 
@@ -105,11 +105,24 @@
 	@echo "about now.  Then commit the new images and run"
 	@echo
 	@echo "  $(PYTHON) setup.py sdist register upload && bzr tag `$(PYTHON) setup.py --version`"
+	@echo "  make publish-docs"
 	@echo
 	@echo "Please increment the version number in $(FILE_WITH_VERSION)"
 	@echo "and add a new empty entry at the top of the changelog in $(FILE_WITH_CHANGELOG), then"
 	@echo
 	@echo '  bzr ci -m "Post-release version bump" && bzr push'
 	@echo
-	@echo "and don't forget to publish the docs from _build/html"
 
+.PHONY: publish-docs
+publish-docs:
+	test -d ~/www/objgraph || { \
+	    echo "There's no ~/www/objgraph, do you have the website checked out?"; exit 1; }
+	make clean docs
+	cp -r docs/_build/html/* ~/www/objgraph/
+	svn st ~/www/objgraph/
+	@echo
+	@echo "If everything looks fine, please run"
+	@echo
+	@echo "  svn ci ~/www/objgraph/ -m \"Released objgraph `$(PYTHON) setup.py --version`\""
+	@echo
+

=== debian/changelog ===
objgraph (1.7.0-2) unstable; urgency=low

  * Rebuild for Python transition.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Drop Breaks: ${python:Breaks}, no longer used by dh_python2.
  * debian/copyright: Update to DEP5 Format r174.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 17 Apr 2011 19:58:04 +0200

objgraph (1.7.0-1) unstable; urgency=low

  * New upstream release.
    - Update copyright years.
    - utf8-changes.patch: Fix UnicodeDecodeError in non-UTF-8 locales
    - quoting-py3k-utf8.patch: Fix quoting.txt test for Py3k + non-UTF-8
      locales
  * Update my e-mail address.
  * Correct DEP3 headers (first line of Description is the subject)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 12 Mar 2011 17:25:37 +0200

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Stefano Rivera <stefano@rivera.za.net>
+Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
  debhelper (>= 7.0.50~),
  graphviz,
  python-all (>= 2.6.5-13~),
  python-sphinx,
  python3-all (>= 3.1.2-6~)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://mg.pov.lt/objgraph/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/objgraph/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/objgraph/trunk/
@@ -19,7 +19,6 @@
 Package: python-objgraph
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
-Breaks: ${python:Breaks}
 Recommends: graphviz
 Suggests: xdot, python-objgraph-doc
 Description: Module for exploring Python object reference graphs

=== debian/rules ===
#!/usr/bin/make -f

PYVERS :=  $(shell pyversions -r)
PY3VERS := $(shell py3versions -r)

%:
	dh $@ --with python2,python3

override_dh_auto_build:
	set -e; \
	for py in $(PYVERS) $(PY3VERS); do \
		$$py setup.py build; \
	done
	$(MAKE) docs SPHINXOPTS=-NE

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e; \
	for py in $(PYVERS) $(PY3VERS); do \
		$$py tests.py; \
	done
endif

override_dh_auto_install:
	set -e; \
	for py in $(PYVERS); do \
		$$py setup.py install --skip-build --root debian/python-objgraph --install-layout=deb; \
	done
	set -e; \
	for py in $(PY3VERS); do \
		$$py setup.py install --skip-build --root debian/python3-objgraph --install-layout=deb; \
	done

override_dh_auto_clean:
	dh_auto_clean --buildsystem=python_distutils
	rm -rf build docs/_build

override_dh_installdocs:
	dh_installdocs -Xhtml/_static/jquery.js

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

override_dh_compress:
	dh_compress -X.js

## objgraph 1.7.1

=== Makefile ===
--- 
+++ 
@@ -61,7 +61,7 @@
 distcheck:
 	# Bit of a chicken-and-egg here, but if the tree is unclean, make
 	# distcheck will fail.  Thankfully bzr lets me uncommit.
-	@test -z "`bzr status 2>&1`" || { echo; echo "Your working tree is not clean" 1>&2; bzr status; exit 1; }
+	@test -z "`bzr status 2>&1|grep -v 'shelves exist'`" || { echo; echo "Your working tree is not clean" 1>&2; bzr status; exit 1; }
 	make dist
 	pkg_and_version=`$(PYTHON) setup.py --name`-`$(PYTHON) setup.py --version` && \
 	rm -rf tmp && \
@@ -102,9 +102,13 @@
 	@echo "  make test-all-pythons"
 	@echo "  make clean images docs"
 	@echo
-	@echo "about now.  Then commit the new images and run"
+	@echo "about now.  Then sanity-check the images with"
 	@echo
-	@echo "  $(PYTHON) setup.py sdist register upload && bzr tag `$(PYTHON) setup.py --version`"
+	@echo "  bzr diff --using=imgdiff --diff-options='-H --eog'"
+	@echo
+	@echo "then either revert or commit the new images and run"
+	@echo
+	@echo "  $(PYTHON) setup.py sdist register upload --unicode-description && bzr tag `$(PYTHON) setup.py --version`"
 	@echo "  make publish-docs"
 	@echo
 	@echo "Please increment the version number in $(FILE_WITH_VERSION)"
@@ -119,6 +123,7 @@
 	    echo "There's no ~/www/objgraph, do you have the website checked out?"; exit 1; }
 	make clean docs
 	cp -r docs/_build/html/* ~/www/objgraph/
+	svn add ~/www/objgraph/*.html ~/www/objgraph/_images/*.png 2>/dev/null
 	svn st ~/www/objgraph/
 	@echo
 	@echo "If everything looks fine, please run"

=== debian/changelog ===
objgraph (1.7.1-1) unstable; urgency=low

  * New upstream release.
    - Supports "setup.py test". We now use that, and Build-Depend on
      python-setuptools + python3-setuptools.
    - Drop utf8-changes.patch and quoting-py3k-utf8.patch: Superseded
      upstream.
  * Use dh_sphinxdoc.
    - Version python-sphinx Build-Depend.
    - Drop dh_installdocs override.
    - Don't manually symlink to libjs-jquery any more.
  * Don't compress sphinx _sources.
  * debian/rules: set -x for setup.py loops.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 04 Jan 2012 14:35:50 +0200

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,10 @@
  debhelper (>= 7.0.50~),
  graphviz,
  python-all (>= 2.6.5-13~),
- python-sphinx,
- python3-all (>= 3.1.2-6~)
+ python-setuptools,
+ python-sphinx (>= 1.0.7+dfsg),
+ python3-all (>= 3.1.2-6~),
+ python3-setuptools
 Standards-Version: 3.9.2
 Homepage: http://mg.pov.lt/objgraph/
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/objgraph/trunk/
@@ -20,7 +22,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends}
 Recommends: graphviz
-Suggests: xdot, python-objgraph-doc
+Suggests: python-objgraph-doc, xdot
 Description: Module for exploring Python object reference graphs
  objgraph is a module that lets you visually explore Python object graphs.
  .
@@ -34,7 +36,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}
 Recommends: graphviz
-Suggests: xdot, python-objgraph-doc
+Suggests: python-objgraph-doc, xdot
 Description: Module for exploring Python object reference graphs (Python3 version)
  objgraph is a module that lets you visually explore Python object graphs.
  .
@@ -47,7 +49,7 @@
 Package: python-objgraph-doc
 Architecture: all
 Section: doc
-Depends: libjs-jquery, ${misc:Depends}
+Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Replaces: python-objgraph (<< 1.6.0-2), python3-objgraph (<< 1.6.0-2)
 Breaks: python-objgraph (<< 1.6.0-2), python3-objgraph (<< 1.6.0-2)
 Recommends: graphviz

=== debian/rules ===
#!/usr/bin/make -f

PYVERS :=  $(shell pyversions -r)
PY3VERS := $(shell py3versions -r)

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_build:
	set -e -x; \
	for py in $(PYVERS) $(PY3VERS); do \
		$$py setup.py build; \
	done
	$(MAKE) docs SPHINXOPTS=-NE

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e -x; \
	for py in $(PYVERS) $(PY3VERS); do \
		$$py setup.py test; \
	done
endif

override_dh_auto_install:
	set -e -x; \
	for py in $(PYVERS); do \
		$$py setup.py install --skip-build --root debian/python-objgraph --install-layout=deb; \
	done
	set -e -x; \
	for py in $(PY3VERS); do \
		$$py setup.py install --skip-build --root debian/python3-objgraph --install-layout=deb; \
	done

override_dh_auto_clean:
	dh_auto_clean --buildsystem=python_distutils
	rm -rf build docs/_build

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

override_dh_compress:
	dh_compress -X.txt -X.inv

=== debian/watch ===
version=3

http://pypi.python.org/packages/source/o/objgraph/objgraph-(.*).tar.gz

## objgraph 1.7.2

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 PYTHON = python
 FILE_WITH_VERSION = objgraph.py
 FILE_WITH_CHANGELOG = CHANGES.txt
+
+SUPPORTED_PYTHON_VERSIONS = 2.4 2.5 2.6 2.7 3.1 3.2 3.3
 
 SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
@@ -33,7 +35,7 @@
 .PHONY: test-all-pythons
 test-all-pythons:
 	set -e; \
-	for ver in 2.4 2.5 2.6 2.7 3.0 3.1 3.2; do \
+	for ver in $(SUPPORTED_PYTHON_VERSIONS); do \
 		if which python$$ver > /dev/null; then \
 			$(MAKE) test PYTHON=python$$ver; \
 		else \
@@ -123,7 +125,7 @@
 	    echo "There's no ~/www/objgraph, do you have the website checked out?"; exit 1; }
 	make clean docs
 	cp -r docs/_build/html/* ~/www/objgraph/
-	svn add ~/www/objgraph/*.html ~/www/objgraph/_images/*.png 2>/dev/null
+	svn add ~/www/objgraph/*.html ~/www/objgraph/_images/*.png ~/www/objgraph/_sources/* ~/www/objgraph/_static/* 2>/dev/null
 	svn st ~/www/objgraph/
 	@echo
 	@echo "If everything looks fine, please run"

=== debian/changelog ===
objgraph (1.7.2-2) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Stefano Rivera ]
  * Upload to unstable, wheezy released.
  * Bump debhelper compat to 8.
  * Add autopkgtests.
  * Switch the debian/watch URL to https.
  * Don't ship SOURCES.txt.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 26 May 2013 15:37:05 +0200

objgraph (1.7.2-1) experimental; urgency=low

  * New upstream release.
    - Tests pass on Python 3.3. (Closes: #686331)
    - Supports file formats besides png.
  * Upload to experimental, as Debian is frozen for wheezy.
  * Bump Standards-Version to 3.9.4.
    - Bump debhelper Build-Depends to 8.1 for build-{arch,indep} support.
  * Bump machine readable copyright format to 1.0.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 10 Nov 2012 18:59:27 +0200

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,20 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 8.1),
  graphviz,
  python-all (>= 2.6.5-13~),
  python-setuptools,
  python-sphinx (>= 1.0.7+dfsg),
  python3-all (>= 3.1.2-6~),
  python3-setuptools
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://mg.pov.lt/objgraph/
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/objgraph/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/objgraph/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/objgraph/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/objgraph/trunk/
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
+XS-Testsuite: autopkgtest
 
 Package: python-objgraph
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,7 @@
 	for py in $(PY3VERS); do \
 		$$py setup.py install --skip-build --root debian/python3-objgraph --install-layout=deb; \
 	done
+	find debian/python-objgraph debian/python3-objgraph -name SOURCES.txt -delete
 
 override_dh_auto_clean:
 	dh_auto_clean --buildsystem=python_distutils

## objgraph 1.8.0

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,14 @@
 PYTHON = python
+
 FILE_WITH_VERSION = objgraph.py
-FILE_WITH_CHANGELOG = CHANGES.txt
+FILE_WITH_CHANGELOG = CHANGES.rst
+VCS_STATUS = git status --porcelain
+VCS_EXPORT = git archive --format=tar --prefix=tmp/tree/ HEAD | tar -xf -
+VCS_DIFF_IMAGES = git diff docs/*.png
+VCS_TAG = git tag
+VCS_COMMIT_AND_PUSH = git commit -av -m "Post-release version bump" && git push && git push --tags
 
-SUPPORTED_PYTHON_VERSIONS = 2.4 2.5 2.6 2.7 3.1 3.2 3.3
+SUPPORTED_PYTHON_VERSIONS = 2.4 2.5 2.6 2.7 3.1 3.2 3.3 3.4
 
 SPHINXOPTS    =
 SPHINXBUILD   = sphinx-build
@@ -62,13 +68,13 @@
 .PHONY: distcheck
 distcheck:
 	# Bit of a chicken-and-egg here, but if the tree is unclean, make
-	# distcheck will fail.  Thankfully bzr lets me uncommit.
-	@test -z "`bzr status 2>&1|grep -v 'shelves exist'`" || { echo; echo "Your working tree is not clean" 1>&2; bzr status; exit 1; }
+	# distcheck will fail.
+	@test -z "`$(VCS_STATUS) 2>&1`" || { echo; echo "Your working tree is not clean" 1>&2; $(VCS_STATUS); exit 1; }
 	make dist
 	pkg_and_version=`$(PYTHON) setup.py --name`-`$(PYTHON) setup.py --version` && \
 	rm -rf tmp && \
 	mkdir tmp && \
-	bzr export tmp/tree && \
+	$(VCS_EXPORT) && \
 	cd tmp && \
 	tar xvzf ../dist/$$pkg_and_version.tar.gz && \
 	diff -ur $$pkg_and_version tree -x PKG-INFO -x setup.cfg -x '*.egg-info' && \
@@ -96,8 +102,17 @@
 	        echo "$(FILE_WITH_CHANGELOG) has no entry for $$ver_and_date"; exit 1; }
 	make distcheck
 
+# Make sure $(VCS_DIFF_IMAGES) can work
+.PHONY: config-imgdiff
+config-imgdiff:
+	@test -z "`git config diff.imgdiff.command`" && git config diff.imgdiff.command 'f() { imgdiff --eog -H $$1 $$2; }; f' || true
+
+.PHONY: imgdiff
+imgdiff: config-imgdiff
+	$(VCS_DIFF_IMAGES)
+
 .PHONY: release
-release: releasechecklist
+release: releasechecklist config-imgdiff
 	# I'm chicken so I won't actually do these things yet
 	@echo "It is a good idea to run"
 	@echo
@@ -106,17 +121,17 @@
 	@echo
 	@echo "about now.  Then sanity-check the images with"
 	@echo
-	@echo "  bzr diff --using=imgdiff --diff-options='-H --eog'"
+	@echo "  $(VCS_DIFF_IMAGES)"
 	@echo
 	@echo "then either revert or commit the new images and run"
 	@echo
-	@echo "  $(PYTHON) setup.py sdist register upload --unicode-description && bzr tag `$(PYTHON) setup.py --version`"
+	@echo "  $(PYTHON) setup.py sdist register upload --unicode-description && $(VCS_TAG) `$(PYTHON) setup.py --version`"
 	@echo "  make publish-docs"
 	@echo
 	@echo "Please increment the version number in $(FILE_WITH_VERSION)"
 	@echo "and add a new empty entry at the top of the changelog in $(FILE_WITH_CHANGELOG), then"
 	@echo
-	@echo '  bzr ci -m "Post-release version bump" && bzr push'
+	@echo '  $(VCS_COMMIT_AND_PUSH)'
 	@echo
 
 .PHONY: publish-docs

=== debian/changelog ===
objgraph (1.8.0-1) unstable; urgency=medium

  * New upstream release (Closes: #741822)
  * Bump Standards-Version to 3.9.5, no changes needed.
  * The upstream changelog is now CHANGES.rst.
  * Patch: remove-external-images. Remove references to Travis CI's status
    image from the documentation.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 12 Apr 2014 16:51:59 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python-sphinx (>= 1.0.7+dfsg),
  python3-all (>= 3.1.2-6~),
  python3-setuptools
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://mg.pov.lt/objgraph/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/objgraph/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/objgraph/trunk/

=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 	rm -rf build docs/_build
 
 override_dh_installchangelogs:
-	dh_installchangelogs CHANGES.txt
+	dh_installchangelogs CHANGES.rst
 
 override_dh_compress:
 	dh_compress -X.txt -X.inv

=== debian/watch ===
version=3

https://pypi.python.org/packages/source/o/objgraph/objgraph-(.*).tar.gz

## objgraph 1.8.1

=== Makefile ===
--- 
+++ 
@@ -58,7 +58,7 @@
 
 .PHONY: coverage
 coverage:
-	PYTHONPATH=.:$$PYTHONPATH coverage run tests.py
+	PYTHONPATH=.:$$PYTHONPATH coverage run --source=objgraph tests.py
 	coverage report
 
 .PHONY: dist

=== debian/changelog ===
objgraph (1.8.1-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Refresh patches.
  * Bump copyright years.
  * Add DEP-12 upstream metadata.

  [ Andrey Rahmatullin ]
  * Switch to pybuild.
  * Switch to debhelper compat level 9.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 19 Jun 2014 23:29:35 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
- debhelper (>= 8.1),
+ debhelper (>= 9),
+ dh-python,
  graphviz,
  python-all (>= 2.6.5-13~),
  python-setuptools,

=== debian/tests/control ===
Tests: unittests
Depends: python-objgraph, python-all, graphviz

Tests: unittests3
Depends: python3-objgraph, python3-all, graphviz

## objgraph 2.0.0

=== debian/changelog ===
objgraph (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Point watch file to pypi.debian.net.
  * Remove now-unnecessary XS-Testsuite control field.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Bump copyright years.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 03 Jul 2015 17:34:19 -0700

## objgraph 2.0.1

=== Makefile ===
--- 
+++ 
@@ -10,10 +10,10 @@
 
 SUPPORTED_PYTHON_VERSIONS = 2.4 2.5 2.6 2.7 3.1 3.2 3.3 3.4
 
-SPHINXOPTS    =
-SPHINXBUILD   = sphinx-build
-BUILDDIR      = docs/_build
-ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(SPHINXOPTS) docs/
+SPHINXOPTS      =
+SPHINXBUILD     = sphinx-build
+SPHINXBUILDDIR  = docs/_build
+ALLSPHINXOPTS   = -d $(SPHINXBUILDDIR)/doctrees $(SPHINXOPTS) docs/
 
 
 .PHONY: default
@@ -26,13 +26,13 @@
 
 .PHONY: docs
 docs:
-	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
+	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(SPHINXBUILDDIR)/html
 	@echo
-	@echo "Now look at $(BUILDDIR)/html/index.html"
+	@echo "Now look at $(SPHINXBUILDDIR)/html/index.html"
 
 .PHONY: clean
 clean:
-	-rm -rf $(BUILDDIR)/*
+	-rm -rf $(SPHINXBUILDDIR)/* build
 
 .PHONY: test check
 test check:
@@ -58,8 +58,14 @@
 
 .PHONY: coverage
 coverage:
-	PYTHONPATH=.:$$PYTHONPATH coverage run --source=objgraph tests.py
+	coverage run --source=objgraph tests.py
+	python3 -m coverage run -a --source=objgraph tests.py
 	coverage report
+
+.PHONY: lint
+lint:
+	flake8 --exclude=build,docs/conf.py --ignore=E226
+	flake8 --exclude=build,docs/conf.py --doctests --ignore=E226,F821
 
 .PHONY: dist
 dist:
@@ -125,7 +131,7 @@
 	@echo
 	@echo "then either revert or commit the new images and run"
 	@echo
-	@echo "  $(PYTHON) setup.py sdist register upload --unicode-description && $(VCS_TAG) `$(PYTHON) setup.py --version`"
+	@echo "  rm -rf dist && $(PYTHON) setup.py sdist --unicode-description && twine upload dist/* && $(VCS_TAG) `$(PYTHON) setup.py --version`"
 	@echo "  make publish-docs"
 	@echo
 	@echo "Please increment the version number in $(FILE_WITH_VERSION)"
@@ -140,7 +146,7 @@
 	    echo "There's no ~/www/objgraph, do you have the website checked out?"; exit 1; }
 	make clean docs
 	cp -r docs/_build/html/* ~/www/objgraph/
-	svn add ~/www/objgraph/*.html ~/www/objgraph/_images/*.png ~/www/objgraph/_sources/* ~/www/objgraph/_static/* 2>/dev/null
+	-svn add ~/www/objgraph/*.html ~/www/objgraph/_images/*.png ~/www/objgraph/_sources/* ~/www/objgraph/_static/* 2>/dev/null
 	svn st ~/www/objgraph/
 	@echo
 	@echo "If everything looks fine, please run"

=== debian/changelog ===
objgraph (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 20 Sep 2015 18:14:39 -0700

=== debian/control ===
--- 
+++ 
@@ -12,13 +12,12 @@
  python-sphinx (>= 1.0.7+dfsg),
  python3-all (>= 3.1.2-6~),
  python3-setuptools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://mg.pov.lt/objgraph/
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/objgraph/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/objgraph/trunk/
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
-XS-Testsuite: autopkgtest
 
 Package: python-objgraph
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=objgraph

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	$(MAKE) docs SPHINXOPTS=-NE

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build docs/_build

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

override_dh_compress:
	dh_compress -X.txt -X.inv

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/objgraph/objgraph-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## objgraph 3.0.0

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 VCS_TAG = git tag
 VCS_COMMIT_AND_PUSH = git commit -av -m "Post-release version bump" && git push && git push --tags
 
-SUPPORTED_PYTHON_VERSIONS = 2.4 2.5 2.6 2.7 3.1 3.2 3.3 3.4
+SUPPORTED_PYTHON_VERSIONS = 2.7 3.3 3.4 3.5
 
 SPHINXOPTS      =
 SPHINXBUILD     = sphinx-build
@@ -69,7 +69,7 @@
 
 .PHONY: dist
 dist:
-	$(PYTHON) setup.py sdist
+	$(PYTHON) setup.py -q sdist
 
 .PHONY: distcheck
 distcheck:
@@ -131,7 +131,7 @@
 	@echo
 	@echo "then either revert or commit the new images and run"
 	@echo
-	@echo "  rm -rf dist && $(PYTHON) setup.py sdist --unicode-description && twine upload dist/* && $(VCS_TAG) `$(PYTHON) setup.py --version`"
+	@echo "  rm -rf dist && $(PYTHON) setup.py sdist && twine upload dist/* && $(VCS_TAG) `$(PYTHON) setup.py --version`"
 	@echo "  make publish-docs"
 	@echo
 	@echo "Please increment the version number in $(FILE_WITH_VERSION)"

=== debian/changelog ===
objgraph (3.0.0-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release
  * Switch watch file to https.
  * Bump copyright years.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Upstream dropped support for Python << 2.7 & << 3.3.
  * Build-Depend on python{3,}-mock for unittests. (This is available in
    stdlib for Python 3, but setup.py declares a dependency)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Stefano Rivera <stefanor@debian.org>  Sun, 08 May 2016 22:15:20 +0200

## objgraph 3.0.1

=== Makefile ===
--- 
+++ 
@@ -131,7 +131,7 @@
 	@echo
 	@echo "then either revert or commit the new images and run"
 	@echo
-	@echo "  rm -rf dist && $(PYTHON) setup.py sdist && twine upload dist/* && $(VCS_TAG) `$(PYTHON) setup.py --version`"
+	@echo "  rm -rf dist && $(PYTHON) setup.py sdist bdist_wheel && twine upload dist/* && $(VCS_TAG) `$(PYTHON) setup.py --version`"
 	@echo "  make publish-docs"
 	@echo
 	@echo "Please increment the version number in $(FILE_WITH_VERSION)"

=== debian/changelog ===
objgraph (3.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 10 Nov 2016 12:26:04 +0000

=== debian/control ===
--- 
+++ 
@@ -7,17 +7,19 @@
  debhelper (>= 9),
  dh-python,
  graphviz,
- python-all (>= 2.6.5-13~),
+ python-all (>= 2.7),
+ python-mock,
  python-setuptools,
  python-sphinx (>= 1.0.7+dfsg),
- python3-all (>= 3.1.2-6~),
+ python3-all (>= 3.3),
+ python3-mock,
  python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://mg.pov.lt/objgraph/
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/objgraph/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/objgraph/trunk/
-X-Python-Version: >= 2.4
-X-Python3-Version: >= 3.0
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/objgraph.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/objgraph.git
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.3
 
 Package: python-objgraph
 Architecture: all

## objgraph 3.4.0

=== Makefile ===
PYTHON = python

FILE_WITH_VERSION = objgraph.py
FILE_WITH_CHANGELOG = CHANGES.rst

VCS_DIFF_IMAGES = git diff docs/*.png

SUPPORTED_PYTHON_VERSIONS = 2.7 3.3 3.4 3.5 3.6

SPHINXOPTS      =
SPHINXBUILD     = sphinx-build
SPHINXBUILDDIR  = docs/_build
ALLSPHINXOPTS   = -d $(SPHINXBUILDDIR)/doctrees $(SPHINXOPTS) docs/


.PHONY: default
default:
	@echo "Nothing to build here"

.PHONY: images
images:
	$(PYTHON) setup.py --build-images

.PHONY: docs
docs:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(SPHINXBUILDDIR)/html
	@echo
	@echo "Now look at $(SPHINXBUILDDIR)/html/index.html"

.PHONY: clean
clean:
	-rm -rf $(SPHINXBUILDDIR)/* build

.PHONY: test
test:
	$(PYTHON) tests.py

.PHONY:
check: coverage

.PHONY: test-all-pythons
test-all-pythons:
	set -e; \
	for ver in $(SUPPORTED_PYTHON_VERSIONS); do \
		if which python$$ver > /dev/null; then \
			$(MAKE) test PYTHON=python$$ver; \
		else \
			echo "=================================="; \
			echo "Skipping python$$ver, not available."; \
			echo "=================================="; \
		fi; \
	done

.PHONY: preview-pypi-description
preview-pypi-description:
	# pip install restview, if missing
	restview --long-description

.PHONY: coverage
coverage:
	coverage run --source=objgraph tests.py
	python3 -m coverage run -a --source=objgraph tests.py
	coverage report -m --fail-under=100

.PHONY: lint
lint:
	flake8 --exclude=build,docs/conf.py --ignore=E226
	flake8 --exclude=build,docs/conf.py --doctests --ignore=E226,F821

# Make sure $(VCS_DIFF_IMAGES) can work
.PHONY: config-imgdiff
config-imgdiff:
	@test -z "`git config diff.imgdiff.command`" && git config diff.imgdiff.command 'f() { imgdiff --eog -H $$1 $$2; }; f' || true

.PHONY: imgdiff
imgdiff: config-imgdiff
	$(VCS_DIFF_IMAGES)


.PHONY: releasechecklist
releasechecklist: check-date  # also release.mk will add other checks

include release.mk

.PHONY: check-date
check-date:
	@date_line="__date__ = '`date +%Y-%m-%d`'" && \
	    grep -q "^$$date_line$$" $(FILE_WITH_VERSION) || { \
	        echo "$(FILE_WITH_VERSION) doesn't specify $$date_line"; \
	        echo "Please run make update-date"; exit 1; }

.PHONY: update-date
update-date:
	sed -i -e "s/^__date__ = '.*'/__date__ = '`date +%Y-%m-%d`'/" $(FILE_WITH_VERSION)


.PHONY: do-release
do-release: config-imgdiff

define release_recipe =
	# I'm chicken so I won't actually do these things yet
	@echo "It is a good idea to run"
	@echo
	@echo "  make test-all-pythons"
	@echo "  make clean images docs"
	@echo
	@echo "about now.  Then sanity-check the images with"
	@echo
	@echo "  make imgdiff"
	@echo
	@echo "then either revert or commit the new images and run"
	@echo
	@echo "  $(PYPI_PUBLISH)"
	@echo "  $(VCS_TAG)"
	@echo "  make publish-docs"
	@echo
	@echo "Please increment the version number in $(FILE_WITH_VERSION)"
	@echo "and add a new empty entry at the top of the changelog in $(FILE_WITH_CHANGELOG), then"
	@echo
	@echo '  $(VCS_COMMIT_AND_PUSH)'
	@echo
endef

.PHONY: publish-docs
publish-docs:
	test -d ~/www/objgraph || { \
	    echo "There's no ~/www/objgraph, do you have the website checked out?"; exit 1; }
	make clean docs
	cp -r docs/_build/html/* ~/www/objgraph/
	cd ~/www/objgraph && git add . && git status
	@echo
	@echo "If everything looks fine, please run"
	@echo
	@echo "  cd ~/www/ && git commit -m \"Released objgraph `$(PYTHON) setup.py --version`\" && git push"
	@echo "  ssh fridge 'cd www && git pull'"
	@echo

=== debian/changelog ===
objgraph (3.4.0-1) unstable; urgency=medium

  [ Stefano Rivera ]
  * New upstream release.
  * Refresh patches.
  * Bump copyright years.
  * Bump Standards-Version to 4.1.3, no changes needed.
  * Drop Breaks + Replaces on objgraph (<< 1.6.0-2), that's not in any
    supported release any more.
  * Use python3-sphinx rather than the Python 2 version.
  * Bump debhelper compat to 11.
    - Override dh_installdocs package heuristics.
  * Drop overrides for things that debhelper now supports.
  * Patch: Drop graphviz from install_requires, not packaged in Debian and not
    needed.
  * Set Rules-Requires-Root: no

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

 -- Stefano Rivera <stefanor@debian.org>  Sun, 18 Feb 2018 19:30:34 -0800

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,21 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Stefano Rivera <stefanor@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  graphviz,
  python-all (>= 2.7),
  python-mock,
  python-setuptools,
- python-sphinx (>= 1.0.7+dfsg),
+ python3-sphinx (>= 1.0.7+dfsg),
  python3-all (>= 3.3),
  python3-mock,
  python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://mg.pov.lt/objgraph/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/objgraph.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/objgraph.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/objgraph.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/objgraph
+Rules-Requires-Root: no
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.3
 
@@ -53,8 +54,6 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Replaces: python-objgraph (<< 1.6.0-2), python3-objgraph (<< 1.6.0-2)
-Breaks: python-objgraph (<< 1.6.0-2), python3-objgraph (<< 1.6.0-2)
 Recommends: graphviz
 Suggests: xdot
 Description: Module for exploring Python object reference graphs (Documentation)

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,8 @@
 	dh_auto_clean
 	rm -rf build docs/_build
 
-override_dh_installchangelogs:
-	dh_installchangelogs CHANGES.rst
-
-override_dh_compress:
-	dh_compress -X.txt -X.inv
+override_dh_installdocs:
+	# Override the heuristics. Given the py2/3 split, the -doc package is the
+	# best place to put this
+	dh_installdocs -p python-objgraph-doc --doc-main-package=python-objgraph-doc
+	dh_installdocs -N python-objgraph-doc

=== debian/tests/control ===
Tests: unittests
Depends: python-mock, python-objgraph, python-all, graphviz

Tests: unittests3
Depends: python3-mock, python3-objgraph, python3-all, graphviz

## objgraph 3.4.1

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,6 @@
 FILE_WITH_CHANGELOG = CHANGES.rst
 
 VCS_DIFF_IMAGES = git diff docs/*.png
-
-SUPPORTED_PYTHON_VERSIONS = 2.7 3.3 3.4 3.5 3.6
 
 SPHINXOPTS      =
 SPHINXBUILD     = sphinx-build
@@ -40,16 +38,7 @@
 
 .PHONY: test-all-pythons
 test-all-pythons:
-	set -e; \
-	for ver in $(SUPPORTED_PYTHON_VERSIONS); do \
-		if which python$$ver > /dev/null; then \
-			$(MAKE) test PYTHON=python$$ver; \
-		else \
-			echo "=================================="; \
-			echo "Skipping python$$ver, not available."; \
-			echo "=================================="; \
-		fi; \
-	done
+	tox
 
 .PHONY: preview-pypi-description
 preview-pypi-description:
@@ -58,14 +47,13 @@
 
 .PHONY: coverage
 coverage:
-	coverage run --source=objgraph tests.py
+	python2 -m coverage run --source=objgraph tests.py
 	python3 -m coverage run -a --source=objgraph tests.py
 	coverage report -m --fail-under=100
 
 .PHONY: lint
 lint:
-	flake8 --exclude=build,docs/conf.py --ignore=E226
-	flake8 --exclude=build,docs/conf.py --doctests --ignore=E226,F821
+	flake8
 
 # Make sure $(VCS_DIFF_IMAGES) can work
 .PHONY: config-imgdiff

=== debian/changelog ===
objgraph (3.4.1-2) unstable; urgency=medium

  * Remove python 2 library (Closes: #937178)

 -- Stefano Rivera <stefanor@debian.org>  Sat, 31 Aug 2019 10:17:55 -0300

objgraph (3.4.1-1) unstable; urgency=medium

  * New upstream release.
    - With Python 3.7 support.
  * Refresh patches.
  * Bump copyright years.
  * Bump Standards-Version to 4.4.0, no changes needed.
  * Bump debhelper compat to 12 (and use the B-D syntax).

 -- Stefano Rivera <stefanor@debian.org>  Mon, 08 Jul 2019 15:57:12 -0700

objgraph (3.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Stefano Rivera ]
  * Switch homepage URL to https.
  * Bump Standards-Version to 4.2.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Tue, 21 Aug 2018 09:50:20 -0700

=== debian/control ===
Source: objgraph
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Stefano Rivera <stefanor@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 graphviz,
 python3-sphinx (>= 1.0.7+dfsg),
 python3-all (>= 3.3),
 python3-mock,
 python3-setuptools
Standards-Version: 4.4.0
Homepage: https://mg.pov.lt/objgraph/
Vcs-Git: https://salsa.debian.org/python-team/modules/objgraph.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/objgraph
Rules-Requires-Root: no

Package: python3-objgraph
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: graphviz
Suggests: python-objgraph-doc, xdot
Description: Module for exploring Python object reference graphs
 objgraph is a module that lets you visually explore Python object graphs.
 .
 It can be used for counting and statistics, finding root references
 responsible for large object trees and export the object reference graphs in
 graphviz format.

Package: python-objgraph-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Recommends: graphviz
Suggests: xdot
Description: Module for exploring Python object reference graphs (Documentation)
 objgraph is a module that lets you visually explore Python object graphs.
 .
 It can be used for counting and statistics, finding root references
 responsible for large object trees and export the object reference graphs in
 graphviz format.
 .
 This package contains the documentation for objgraph.

=== debian/tests/control ===
Tests: unittests3
Depends: python3-mock, python3-objgraph, python3-all, graphviz

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/objgraph/objgraph-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
